org.tmatesoft.svn.core.wc

## Class SVNConflictChoice

- java.lang.Object
- - org.tmatesoft.svn.core.wc.SVNConflictChoice

-     public class SVNConflictChoice
      extends java.lang.Object

  The SVNConflictChoice is an enumeration of constants representing the way in which the conflict `callback` chooses a course of action.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SVNConflictChoice` | `BASE` Constant saying to choose the base version of the file to resolve the conflict here and now.
    `static SVNConflictChoice` | `MERGED` Constant saying to choose the merged version of the file to resolve the conflict here and now.
    `static SVNConflictChoice` | `MINE_CONFLICT` Constant saying to choose the own (for conflicted hunks) version of the file to resolve the conflict here and now.
    `static SVNConflictChoice` | `MINE_FULL` Constant saying to choose the own version of the file to resolve the conflict here and now.
    `static SVNConflictChoice` | `POSTPONE` Constant saying: don't resolve the conflict now.
    `static SVNConflictChoice` | `THEIRS_CONFLICT` Constant saying to choose the incoming (for conflicted hunks) version of the file to resolve the conflict here and now.
    `static SVNConflictChoice` | `THEIRS_FULL` Constant saying to choose the incoming version of the file to resolve the conflict here and now.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getID()` Returns a unique ID number for this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### POSTPONE

          public static SVNConflictChoice POSTPONE

      Constant saying: don't resolve the conflict now. The path will be marked as in a state of conflict.

    - #### BASE

          public static SVNConflictChoice BASE

      Constant saying to choose the base version of the file to resolve the conflict here and now.

    - #### THEIRS_FULL

          public static SVNConflictChoice THEIRS_FULL

      Constant saying to choose the incoming version of the file to resolve the conflict here and now.

    - #### MINE_FULL

          public static SVNConflictChoice MINE_FULL

      Constant saying to choose the own version of the file to resolve the conflict here and now.

    - #### THEIRS_CONFLICT

          public static SVNConflictChoice THEIRS_CONFLICT

      Constant saying to choose the incoming (for conflicted hunks) version of the file to resolve the conflict here and now.

    - #### MINE_CONFLICT

          public static SVNConflictChoice MINE_CONFLICT

      Constant saying to choose the own (for conflicted hunks) version of the file to resolve the conflict here and now.

    - #### MERGED

          public static SVNConflictChoice MERGED

      Constant saying to choose the merged version of the file to resolve the conflict here and now.

  - ### Method Detail

    - #### getID

          public int getID()

      Returns a unique ID number for this object.
      Returns:
        id number

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.